@import url("../../common/css/common.css");
@import url("./personal_common.css");

.life_event01_text1,
.life_event01_text2 {
  font-weight: bold;
  font-size: 1.6rem;
}

.life_event01_text1 {
  margin: 30px auto;
}

.life_event01_text2 {
  margin-bottom: 30px;
}

.life_event_info {
  font-size: 3.5rem;
  font-weight: bold;
  position: relative;
  text-indent: 15px;
  z-index: 1;
  line-height: 1;
  margin-bottom: 30px;
}

.life_event_info::before {
  content: "";
  position: absolute;
  top: calc(50% + 3px);
  left: 0;
  transform: translateY(-50%);
  width: 55px;
  height: 55px;
  background-color: #f3e037;
  border-radius: 50%;
  z-index: -1;
}

.info_flex {
  display: flex;
  align-items: center;
  background-color: #fff;
  padding: 15px;
  border: 2px solid #0fa8bc;
  position: relative;
}

.info_flex::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 2px;
  height: 90%;
  background-image: linear-gradient(
    to bottom,
    #0fa8bc,
    #0fa8bc 3px,
    transparent 3px,
    transparent 10px
  );
  background-size: 2px 8px;
  background-repeat: repeat-y;
}

.info_box {
  width: 100%;
  text-align: center;
}

.info_box:first-child {
  padding-right: 10px;
}

.info_box:last-child {
  padding-left: 10px;
}

.info_box_text1 {
  font-size: 1.7rem;
  font-weight: bold;
  letter-spacing: 1px;
}

.info_box_text1 span {
  color: #da5c84;
}

.info_box_img {
  margin: 10px auto;
  max-width: 65px;
}

.info_box_text2 {
  color: #fff;
  background-color: #0fa8bc;
  display: inline-block;
  font-size: 1.3rem;
  font-weight: bold;
  padding: 2px 5px;
  letter-spacing: 1px;
}

.info_box_text3 {
  color: #0fa8bc;
  font-size: 2rem;
  letter-spacing: 2px;
  font-weight: bold;
}

.info_box_text3 span {
  color: #da5c84;
  font-size: 3rem;
}

.info_text {
  font-size: 1.4rem;
  font-weight: bold;
  margin-top: 30px;
}

.info_text span::after {
  content: "\A";
  white-space: pre;
}

.life_event01_text3 {
  font-weight: bold;
  margin: 50px auto;
}

.content_back1 {
  background-color: #faf7d4;
  padding: 50px 0 30px;
}

.life_event01_box:not(:first-child) {
  margin-top: 30px;
}

.life_event01_box_text1 {
  font-size: 2.3rem;
  text-align: center;
  color: #fff;
  background-color: #da5c84;
  padding: 5px 0;
  margin: auto auto 60px;
  letter-spacing: 2px;
  position: relative;
  text-shadow: 2px 2px 1px #af2952, -2px 2px 1px #af2952, 2px -2px 1px #af2952,
    -2px -2px 1px #af2952, 2px 0px 1px #af2952, 0px 2px 1px #af2952,
    -2px 0px 1px #af2952, 0px -2px 1px #af2952;
}

.life_event01_box_text1::after {
  content: "";
  position: absolute;
  bottom: -45px;
  left: 50%;
  transform: translateX(-50%);
  border-top: 30px solid #da5c84;
  border-right: 15px solid transparent;
  border-left: 15px solid transparent;
}

.life_event01_box_text2 {
  font-size: 2rem;
  font-weight: bold;
  text-align: center;
}

.life_event01_box_img {
  max-width: 320px;
  margin: auto;
}

.life_event01_flex2 {
  text-align: center;
  margin: 80px auto 50px;
}

.life_event01_flex2_text {
  display: inline-block;
  font-size: 2.8rem;
  background-color: #da5c84;
  color: #fff;
  padding: 15px;
  margin-bottom: 30px;
  position: relative;
  letter-spacing: 2px;
  text-align: center;
  text-shadow: 2px 2px 1px #af2952, -2px 2px 1px #af2952, 2px -2px 1px #af2952,
    -2px -2px 1px #af2952, 2px 0px 1px #af2952, 0px 2px 1px #af2952,
    -2px 0px 1px #af2952, 0px -2px 1px #af2952;
}

.life_event01_flex2_text::after {
  content: "";
  position: absolute;
  bottom: -39px;
  left: 50%;
  transform: translateX(-50%);
  border-top: 40px solid #da5c84;
  border-right: 15px solid transparent;
  border-left: 15px solid transparent;
}

.life_event01_flex2_img {
  text-align: center;
}

.life_event01_flex2_img img {
  max-width: 320px;
}

.life_event01_text4 {
  font-weight: bold;
  margin-bottom: 30px;
}

.content_back2 {
  background-color: #dbf1f4;
  padding: 50px 0;
}

@media screen and (min-width: 750px) {
  .life_event01_text1,
  .life_event01_text2 {
    font-size: 1.7rem;
  }

  .life_event01_text1 {
    margin: 50px auto 30px;
  }

  .life_event01_text2 {
    margin-bottom: 50px;
  }

  .title_border_inner {
    text-align: left;
  }

  .info_wrap {
    max-width: 850px;
    margin: auto;
  }

  .info_box_text1 {
    font-size: 2.5rem;
  }

  .info_box_text2 {
    font-size: 1.8rem;
    padding: 5px 10px;
  }

  .info_box_text3 {
    font-size: 2.95rem;
  }

  .info_box_text3 span {
    font-size: 4.45rem;
  }

  .info_box_img {
    max-width: 115px;
  }

  .info_text {
    text-align: right;
    margin-top: 10px;
  }

  .info_text span::after {
    content: "";
  }

  .life_event01_text3 {
    text-align: center;
    margin: 100px auto;
    line-height: 2;
  }

  .life_event01_text3 span::after {
    content: "\A";
    white-space: pre;
  }

  .life_event01_flex {
    display: flex;
  }

  .life_event01_box {
    flex-basis: calc(33.3% - 20px);
  }

  .life_event01_box:not(:first-child) {
    margin-top: 0;
  }

  .life_event01_box:not(:last-child) {
    margin-right: 15px;
  }

  .life_event01_box_img {
    width: 80%;
  }

  .life_event01_flex2 {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 50px auto;
  }

  .life_event01_flex2_text {
    font-size: 3rem;
    padding: 25px;
    margin: 0 50px 0 0;
    text-align: center;
  }

  .life_event01_flex2_text::after {
    top: 50%;
    transform: translateY(-50%);
    right: -79px;
    bottom: auto;
    left: auto;
    border-top: 15px solid transparent;
    border-right: 40px solid transparent;
    border-left: 40px solid #da5c84;
    border-bottom: 15px solid transparent;
  }

  .life_event01_flex2_img img {
    max-width: 100%;
  }

  .content_back2 {
    padding: 50px 0 100px;
  }
}

@media screen and (min-width: 1054px) {
  .life_event01_box:not(:last-child) {
    margin-right: 30px;
  }
}
